当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 13 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 求助,AMD64下安装flashplugin-nonfree出错,找不到libgtk-x11-2.0.so.0。。。
帖子发表于 : 2008-11-02 13:49 

注册: 2008-11-02 12:45
帖子: 29
送出感谢: 0 次
接收感谢: 0 次
我的firefox以前直接按提示装的flashplayer,我记得是可以看flash的,昨晚开youtube发现该是flash的地方一片灰的,没有内容。
于是我就卸载 sudo apt-get flashplugin-nonfree,可是再重装就出错了,每次下载并安装完install_flash_player_9_linux.tar.gz,提示
。。。
Download done.
Flash Plugin installed.
/usr/lib/nspluginwrapper/i386/linux/npviewer.bin: error while loading shared libraries: libgtk-x11-2.0.so.0: cannot open shared object file: No such file or directory
。。。

我机器上是有 libgtk-x11-2.0.so.0 的 (/usr/lib/libgtk-x11-2.0.so.0)。。。
我把/usr/lib添加到了PATH里面,还是不行。。

现在不知改怎么办。。请懂的朋友指点一下。。


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 求助,AMD64下安装flashplugin-nonfree出错,找不到libgtk-x11-2.0.so.0。。。
帖子发表于 : 2008-11-02 22:06 

注册: 2008-11-02 12:45
帖子: 29
送出感谢: 0 次
接收感谢: 0 次
自己顶一下。


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 求助,AMD64下安装flashplugin-nonfree出错,找不到libgtk-x11-2.0.so.0。。。
帖子发表于 : 2008-11-03 10:04 

注册: 2008-11-02 12:45
帖子: 29
送出感谢: 0 次
接收感谢: 0 次
哪位大侠指点一下吧。。


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 求助,AMD64下安装flashplugin-nonfree出错,找不到libgtk-x11-2.0.so.0。。。
帖子发表于 : 2008-11-04 0:31 

注册: 2008-11-02 12:45
帖子: 29
送出感谢: 0 次
接收感谢: 0 次
无力地再顶一记 :em06


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 求助,AMD64下安装flashplugin-nonfree出错,找不到libgtk-x11-2.0.so.0。。。
帖子发表于 : 2008-11-10 19:14 

注册: 2008-11-02 12:45
帖子: 29
送出感谢: 0 次
接收感谢: 0 次
google了一大圈也没有可行的解决办法,用livecd启动,修改了menu.lst,可以加在 2.6.24.19 kernel,不过显卡驱动什么都没有配置好,也不知道是否还带来了其他的问题,后来索性重装了一边系统。。还望大家多多指教啊。


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 求助,AMD64下安装flashplugin-nonfree出错,找不到libgtk-x11-2.0.so.0。。。
帖子发表于 : 2009-04-30 15:30 
头像

注册: 2009-03-13 20:31
帖子: 337
地址: cnblogs.com/open_source
送出感谢: 2
接收感谢: 0 次
同情你啊,可惜我是新手。 :em02


_________________
代码:
'(("OS" . "Fedora")
  ("editor" . "Emacs"))
  ("blog" . "http://www.cnblogs.com/open_source")


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 求助,AMD64下安装flashplugin-nonfree出错,找不到libgtk-x11-2.0.so.0。。。
帖子发表于 : 2009-04-30 15:35 
头像

注册: 2007-05-06 2:46
帖子: 15634
送出感谢: 0 次
接收感谢: 2
引用:
AMD64下安装flashplugin


官网下载:
libflashplayer-10.0.22.87.linux-x86_64.so.tar.gz

代码:
tar -xzvf libflashplayer-10.0.22.87.linux-x86_64.so.tar.gz
sudo mkdir /usr/lib/mozilla/plugins
sudo mkdir ~/.mozilla/plugins
sudo mkdir -p /usr/lib/firefox/plugins
sudo cp libflashplayer.so /usr/lib/mozilla/plugins/libflashplayer.so

sudo ln -s /usr/lib/mozilla/plugins/libflashplayer.so ~/.mozilla/plugins/libflashplayer.so
sudo ln -s /usr/lib/mozilla/plugins/libflashplayer.so /usr/lib/firefox/plugins/libflashplayer.so


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 求助,AMD64下安装flashplugin-nonfree出错,找不到libgtk-x11-2.0.so.0。。。
帖子发表于 : 2009-05-16 11:49 

注册: 2008-10-15 10:49
帖子: 583
地址: CS
送出感谢: 0 次
接收感谢: 0 次
下一个Get64bitFlash-0.1.tar.gz吧,方便得很试试

代码:
代码:
#!/bin/bash

## First we make the working directory
sudo mkdir /tmp/pluginstall

#choose version of ubuntu
#Input code browser
function strinput {
unset refstr
echo -n "$1"
read refstr
}

## Ask if they agree to file bug reports, sort of a reminder
echo
echo " This script is used to setup the Flash 10 Alpaha. "
echo " By entering yes below you acknowlage that you "
echo " are installing development software and you "
echo " will file bug reports with Adobe for every "
echo " problem you incounter."
echo
echo " Do you agree? yes or no : "


if [ "$installtype" = "" ]
then
echo -n "(please type the whole word in lower case letters)"
strinput
else
refstr=$installtype
fi

if [ "$refstr" = "yes" ]
then
echo "Flash installing."


## First we uninstall and remove all the existing flash packages

sudo apt-get -y purge nspluginwrapper
sudo apt-get -y purge mozilla-plugin-gnash
sudo apt-get -y purge swfdec-mozilla
sudo apt-get -y purge flashplugin-nonfree
sudo rm -rfd /usr/lib/nspluginwrapper
sudo rm -f /usr/lib/firefox-addons/plugins/libflashplayer.so
sudo rm -f /usr/lib/mozilla/plugins/flashplugin-alternative.so

## Then we make a temp folder and download the new plugin
cd /tmp/pluginstall
sudo wget  http://download.macromedia.com/pub/labs/flashplayer10/libflashplayer-10.0.d21.1.linux-x86_64.so.tar.gz

## Next we extract and place the plugin
sudo tar xvf libflashplayer-10.0.d21.1.linux-x86_64.so.tar.gz
sudo mv libflashplayer.so /usr/lib/mozilla/plugins/


elif [ "$refstr" = "no" ]
then
echo "I am sorry but you have to agree. "

else
echo  " I am sorry but you have to agree. "
echo
fi


_________________
代码:
 _____________
< 呜呜buntu >
 -------------
        \   ^__^
         \  (oo)\_______
            (__)\       )\/\
                ||----w |
                ||     ||


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 求助,AMD64下安装flashplugin-nonfree出错,找不到libgtk-x11-2.0.so.0。。。
帖子发表于 : 2009-05-21 2:05 
头像

注册: 2008-11-01 20:43
帖子: 17322
系统: 自动检测比较好
送出感谢: 44
接收感谢: 11
更新 :em11


_________________
谁是我?KL.Uiq8 YinMeng


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 求助,AMD64下安装flashplugin-nonfree出错,找不到libgtk-x11-2.0.so.0。。。
帖子发表于 : 2009-05-30 23:56 

注册: 2009-01-03 10:31
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
一个奇怪的问题:我按照7楼哥们的回复安装设置了FLASH播放器,当时能用了,可后来突然又不能用了,经过反复试验,发现每次在重新启动浏览器时,必须重新的终端中运行一下拷贝文件的那句sudo cp libflashplayer.so /usr/lib/mozilla/plugins/libflashplayer.so,然后刷新浏览器就能看视频了,只要有一个浏览器窗口开着就没事,不管是不是视频窗口,但把全部的浏览器窗口关掉再重开后就不行了,必须再运行拷贝文件才能再用,请高手分析一下是为什么?我试着把下载下来的TAR包文件拷贝到/usr/lib/mozilla/plugins/目录下解压,但不能成功,不知为什么。说明一下我用的64位UBUNTU9.04的系统,浏览器就是Firefox的。先谢谢了。


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 求助,AMD64下安装flashplugin-nonfree出错,找不到libgtk-x11-2.0.so.0。。。
帖子发表于 : 2009-05-31 0:00 
头像

注册: 2007-05-06 2:46
帖子: 15634
送出感谢: 0 次
接收感谢: 2
质子带电不行,我用的中子一直没事

:em04


页首
 用户资料  
 
12 楼 
 文章标题 : Re: 求助,AMD64下安装flashplugin-nonfree出错,找不到libgtk-x11-2.0.so.0。。。
帖子发表于 : 2009-05-31 0:08 

注册: 2009-01-03 10:31
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
回的好快,谢谢你了,希望能帮忙分析一下。 :em02 :em02


页首
 用户资料  
 
13 楼 
 文章标题 : Re: 求助,AMD64下安装flashplugin-nonfree出错,找不到libgtk-x11-2.0.so.0。。。
帖子发表于 : 2009-05-31 23:09 

注册: 2009-01-03 10:31
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
:em01 想不通是什么意思,好象一个动态库,在浏览器开通的时候一直保持,一关掉浏览器就消失了。没有办法,只好试着下了一个64位OPERA的浏览器,安装后一切都好了。总算不用再麻烦了。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 13 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 1 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译